Job Statuses

Fetching list of master job statuses.

LIST

Return a collection of master job statuses.

Example of fetching master job statuses list

Request

GET /jobs HTTP/1.1

Response

{
  "data": [
    {
      "id": 1,
      "type": "calculate-shipping-rates",
      "status": "finished",
      "started_at": "2026-02-26 16:22:08",
      "finished_at": "2026-02-26 16:22:08",
      "created_at": "2026-02-26 16:22:05"
    },
    {
      "id": 2,
      "type": "calculate-shipping-rates",
      "status": "failed",
      "started_at": "2026-02-24 16:43:09",
      "finished_at": "2026-02-24 16:43:09",
      "created_at": "2026-02-24 16:43:04"
    }
  ],
  "links": [],
  "meta": {
    "path": "https://api.smake.io/master-administration/jobs",
    "per_page": 15,
    "next_cursor": null,
    "next_page_url": null,
    "prev_cursor": null,
    "prev_page_url": null
  }
}

GET

Returns a master job of given id = x.

Example of fetching specified master job statuse information

Request

GET /jobs/1 HTTP/1.1

Response

{
  "id": 1,
  "type": "calculate-shipping-rates",
  "status": "finished",
  "started_at": "2026-02-26 16:22:08",
  "finished_at": "2026-02-26 16:22:08",
  "created_at": "2026-02-26 16:22:05"
}